description = "使用星尘织梦模板生成内容"

prompt = """
使用星尘织梦模板生成内容。

用户输入：{{args}}

## 使用流程

### 1. 获取会话ID
需要用户提供SessionID：
- 从Web端获取：https://stardust-dreams.com
- 通过 --session 参数传入

### 2. 验证权限
检查：
- 登录状态是否有效
- 订阅是否支持该模板
- 会话是否过期

### 3. 获取模板内容
1. 使用SessionID获取加密的prompt
2. 在内存中解密（不保存到磁盘）
3. 解析模板参数和要求

### 4. 生成内容
根据模板要求：
1. 分析用户需求
2. 应用模板规则
3. 生成目标内容
4. 格式化输出

### 5. 保存结果
- 默认保存到：./output/[timestamp]_[template].md
- 可通过 --output 指定路径

## 命令参数
- --session [ID]：必需，会话ID
- --output [path]：可选，输出路径
- --format [md/txt]：可选，输出格式

## 安全说明
⚠️ 模板内容仅在内存中使用，不会保存到本地
⚠️ 会话15分钟后自动过期，需重新获取

## 错误处理
- 会话无效：请重新获取SessionID
- 权限不足：需要升级订阅
- 模板不存在：检查模板ID

## 完成提示
✅ 内容生成完成！已保存到 [输出路径]
"""